// priority: 10000

RarityJSEvents.register(event => {
    console.warn("Setting up rarities");
    
	event.addRarity("kubejs:legendary", "yellow");
    event.addRarity("kubejs:mythic", "red");
    event.addRarity("kubejs:unique", "red");

    event.addRarity("kubejs:intelligent_grist", "dark_green");
    event.addRarity("kubejs:build_grist", "dark_blue");
    event.addRarity("kubejs:energetic_grist", "dark_red");
    event.addRarity("kubejs:agricultural_grist", "gold");
    // TODO: Put modular items into the unique tier
    // TODO: Put gobber compat stuff into legendary
    // TODO: Put powder power stuff into mythic/legendary

    Grist.forEach(grist => {
        console.warn(`${grist.id()} => ${grist.rarity()}`);
        event.setRarity(grist.id(), grist.rarity());
    });
    Grist.forEachBlock(grist => {
        console.warn(`${grist.id()} => ${grist.rarity()}`);
        event.setRarity(grist.id(), grist.rarity());
    });

    event.setRarityByMod('kubejs', 'rare');

    event.setRarityByMod('miapi', 'kubejs:unique');
    event.setRarity("miapi:modular_work_bench", "rare");

    event.setRarityByMod('gobber2', 'uncommon');

    // Lots of mid-game mods should be uncommon by default
    event.setRarityByMod('wormhole_artifact', 'epic');
    event.setRarityByMod('artifacts', 'epic');
    event.setRarityByMod('sophisticatedbackpacks', 'kubejs:intelligent_grist');
    event.setRarityByMod('ae2', 'kubejs:intelligent_grist');
    event.setRarityByMod('torchmaster', 'kubejs:intelligent_grist');
    event.setRarityByMod('experienceobelisk', 'kubejs:intelligent_grist');
    event.setRarityByMod('functionalstorage', 'kubejs:intelligent_grist');
    event.setRarityByMod('waystones', 'kubejs:intelligent_grist');
    event.setRarityByMod('modularrouters', 'kubejs:intelligent_grist');

    event.setRarityByMod('summoningrituals', 'epic');
    event.setRarityByMod('tempad', 'epic');

    event.setRarity('create:precision_mechanism', 'kubejs:intelligent_grist');
    event.setRarity('create:experience_nugget', 'uncommon');

    event.setRarityByMod('botanypots', 'kubejs:agricultural_grist');
    event.setRarityByMod('industrialforegoing', 'kubejs:agricultural_grist');
    event.setRarityByMod('hostilenetworks', 'kubejs:agricultural_grist');
    event.setRarityByMod('easy_villagers', 'kubejs:agricultural_grist');
    event.setRarity('thermal:redstone_servo', 'kubejs:agricultural_grist');
    event.setRarity('thermal:device_fischer', 'kubejs:agricultural_grist');
    event.setRarity('farmersdelight:cooking_pot', 'kubejs:agricultural_grist');
    event.setRarityByMod('darkutils', 'kubejs:agricultural_grist');

    event.setRarityByMod('systeams', 'kubejs:energetic_grist');
    event.setRarityByMod('powah', 'kubejs:energetic_grist');
    event.setRarityByMod('create_new_age', 'kubejs:energetic_grist');
    event.setRarity('thermal:energy_duct', 'kubejs:energetic_grist');
    event.setRarity('thermal:energy_cell', 'kubejs:energetic_grist');
    event.setRarity('thermal:rf_coil', 'kubejs:energetic_grist');
    event.setRarity('thermal:energy_cell_frame', 'kubejs:energetic_grist');
    event.setRarity('create:windmill_bearing', 'kubejs:energetic_grist');
    event.setRarity('immersive_aircraft:boiler', 'kubejs:energetic_grist');
    event.setRarity('iron_furnaces:augment_factory', 'kubejs:energetic_grist');

    event.setRarityByMod('thermal', 'kubejs:build_grist');
    event.setRarityByMod('ironfurnaces', 'kubejs:build_grist');
    event.setRarityByMod('buildinggadgets2', 'epic');
    event.setRarity('create:crushing_wheel', 'kubejs:build_grist');
});